clear all;close all;
 
i = sqrt(-1.0);c0 = 3e8;
frequ = 5;frequency = 1e9.*frequ;lambda=c0/frequency;

shape = input('\nChoose Shape(s):\n\n     0 = 1 Circle (Default)\n     1 = 2 Circles\n     2 = 1 Square \n     3 = 2 Squares\n     4 = 1 Circle & 1 Square\n     5 = 2 Triangles\n     6 = 1 Triangle & 1 Circle & 1 Square\n\n');
if isempty(shape)
    shape=0;
end

er = input('\nEnter target permitivity value (1.1,1.2,1.3,1.4,1.5,1.6,1.7,1.8,1.9): ');
switch er
    case 1.1
        eri = 1;
    case 1.2
        eri = 2;
    case 1.3
        eri = 3;
    case 1.4
        eri = 4;
    case 1.5
        eri = 5;
    case 1.6
        eri = 6;
    case 1.7
        eri = 7;
    case 1.8
        eri = 8;
    case 1.9
        eri = 9;
    otherwise
        disp('ERROR ... Permitivity value out of range!');
        break;
end
        
Ns = input('\nEnter number of Sources (1,2,3,4,6,9,12,18,36): ');
Nr = input('\nEnter number of Receivers (2,4,6,8,10,12,15,18,20,24,30,36,45,60,90,120,180,360): ');
Nf = 1;
NrMAX = 360/Nr;

showEwald = input('\nShow Individual Ewald Images? (Enter 1 for Yes, Default = No): ');
if isempty(showEwald)
    showEwald = 0;
end

switch shape
    case 0
        [ff, msg] = fopen ('C1.dat', 'rt');
    case 1
        [ff, msg] = fopen ('C2.dat', 'rt');
    case 2
        [ff, msg] = fopen ('S1.dat', 'rt');
    case 3
        [ff, msg] = fopen ('S2.dat', 'rt');
    case 4
        [ff, msg] = fopen ('CS.dat', 'rt');
    case 5
        [ff, msg] = fopen ('T2.dat', 'rt');
    case 6
        [ff, msg] = fopen ('CST.dat', 'rt');
end

[fb, msg] = fopen ('Ei0536360.dat', 'rt');
[fx, msg] = fopen ('X.dat', 'rt');
[fy, msg] = fopen ('Y.dat', 'rt');

fprintf('\nLoading Data Files .');
 
%Loading in the X & Y coordinates of the Data Points
 
[J, cj] = fscanf(fx, '%d', [1]);[J, cj] = fscanf(fy, '%d', [1]);
[X, cx] = fscanf(fx, '%g', [360, 1]);[Y, cy] = fscanf(fy, '%g', [360, 1]);

fprintf('.');

%============ Angle Calculations ============

for fold = 1:1:1
phirad = zeros(360,1);phideg = zeros(360,1);rdeg = zeros(360,1);clear J;
 
for pp = 1:360
    
    if X(pp,1) > 0 && Y(pp,1) >= 0 
        % 0 - 89
        phirad(pp,1) = atan(abs(Y(pp,1))/abs(X(pp,1)));
        phideg(pp,1) = phirad(pp,1)*(180/pi);    
        rdeg(pp,1) = phideg(pp,1);    
    end
    
    if X(pp,1) <= 0 && Y(pp,1) > 0
        % 90 - 179
        phirad(pp,1) = atan(abs(Y(pp,1))/abs(X(pp,1)));
        phideg(pp,1) = phirad(pp,1)*(180/pi);    
        rdeg(pp,1) = 180-phideg(pp,1); 
    end
    
    if X(pp,1) >= 0 && Y(pp,1) < 0
        % 270 - 359
        phirad(pp,1) = atan(abs(Y(pp,1))/abs(X(pp,1)));
        phideg(pp,1) = phirad(pp,1)*(180/pi);    
        rdeg(pp,1) = 360-phideg(pp,1); 
    end
    
    if X(pp,1) < 0 && Y(pp,1) <= 0
        % 180 - 269
        phirad(pp,1) = atan(abs(Y(pp,1))/abs(X(pp,1)));
        phideg(pp,1) = phirad(pp,1)*(180/pi);    
        rdeg(pp,1) = 180+phideg(pp,1); 
    end
end

fprintf('.');

end

%============ Loading Incident Field Data ===============

for fold = 1:1:1 
[S1, cj] = fscanf(fb, '%d', [1]);[B1, cb] = fscanf(fb, '%g %g', [2, 360]);
[S2, cj] = fscanf(fb, '%d', [1]);[B2, cb] = fscanf(fb, '%g %g', [2, 360]);
[S3, cj] = fscanf(fb, '%d', [1]);[B3, cb] = fscanf(fb, '%g %g', [2, 360]);
[S4, cj] = fscanf(fb, '%d', [1]);[B4, cb] = fscanf(fb, '%g %g', [2, 360]);
[S5, cj] = fscanf(fb, '%d', [1]);[B5, cb] = fscanf(fb, '%g %g', [2, 360]);
[S6, cj] = fscanf(fb, '%d', [1]);[B6, cb] = fscanf(fb, '%g %g', [2, 360]);
[S7, cj] = fscanf(fb, '%d', [1]);[B7, cb] = fscanf(fb, '%g %g', [2, 360]);
[S8, cj] = fscanf(fb, '%d', [1]);[B8, cb] = fscanf(fb, '%g %g', [2, 360]);
[S9, cj] = fscanf(fb, '%d', [1]);[B9, cb] = fscanf(fb, '%g %g', [2, 360]);
[S10, cj] = fscanf(fb, '%d', [1]);[B10, cb] = fscanf(fb, '%g %g', [2, 360]);
[S11, cj] = fscanf(fb, '%d', [1]);[B11, cb] = fscanf(fb, '%g %g', [2, 360]);
[S12, cj] = fscanf(fb, '%d', [1]);[B12, cb] = fscanf(fb, '%g %g', [2, 360]);
[S13, cj] = fscanf(fb, '%d', [1]);[B13, cb] = fscanf(fb, '%g %g', [2, 360]);
[S14, cj] = fscanf(fb, '%d', [1]);[B14, cb] = fscanf(fb, '%g %g', [2, 360]);
[S15, cj] = fscanf(fb, '%d', [1]);[B15, cb] = fscanf(fb, '%g %g', [2, 360]);
[S16, cj] = fscanf(fb, '%d', [1]);[B16, cb] = fscanf(fb, '%g %g', [2, 360]);
[S17, cj] = fscanf(fb, '%d', [1]);[B17, cb] = fscanf(fb, '%g %g', [2, 360]);
[S18, cj] = fscanf(fb, '%d', [1]);[B18, cb] = fscanf(fb, '%g %g', [2, 360]);
[S19, cj] = fscanf(fb, '%d', [1]);[B19, cb] = fscanf(fb, '%g %g', [2, 360]);
[S20, cj] = fscanf(fb, '%d', [1]);[B20, cb] = fscanf(fb, '%g %g', [2, 360]);
[S21, cj] = fscanf(fb, '%d', [1]);[B21, cb] = fscanf(fb, '%g %g', [2, 360]);
[S22, cj] = fscanf(fb, '%d', [1]);[B22, cb] = fscanf(fb, '%g %g', [2, 360]);
[S23, cj] = fscanf(fb, '%d', [1]);[B23, cb] = fscanf(fb, '%g %g', [2, 360]);
[S24, cj] = fscanf(fb, '%d', [1]);[B24, cb] = fscanf(fb, '%g %g', [2, 360]);
[S25, cj] = fscanf(fb, '%d', [1]);[B25, cb] = fscanf(fb, '%g %g', [2, 360]);
[S26, cj] = fscanf(fb, '%d', [1]);[B26, cb] = fscanf(fb, '%g %g', [2, 360]);
[S27, cj] = fscanf(fb, '%d', [1]);[B27, cb] = fscanf(fb, '%g %g', [2, 360]);
[S28, cj] = fscanf(fb, '%d', [1]);[B28, cb] = fscanf(fb, '%g %g', [2, 360]);
[S29, cj] = fscanf(fb, '%d', [1]);[B29, cb] = fscanf(fb, '%g %g', [2, 360]);
[S30, cj] = fscanf(fb, '%d', [1]);[B30, cb] = fscanf(fb, '%g %g', [2, 360]);
[S31, cj] = fscanf(fb, '%d', [1]);[B31, cb] = fscanf(fb, '%g %g', [2, 360]);
[S32, cj] = fscanf(fb, '%d', [1]);[B32, cb] = fscanf(fb, '%g %g', [2, 360]);
[S33, cj] = fscanf(fb, '%d', [1]);[B33, cb] = fscanf(fb, '%g %g', [2, 360]);
[S34, cj] = fscanf(fb, '%d', [1]);[B34, cb] = fscanf(fb, '%g %g', [2, 360]);
[S35, cj] = fscanf(fb, '%d', [1]);[B35, cb] = fscanf(fb, '%g %g', [2, 360]);
[S36, cj] = fscanf(fb, '%d', [1]);[B36, cb] = fscanf(fb, '%g %g', [2, 360]);

S(1,1) = 180;S(2,1) = 170;S(3,1) = 160;S(4,1) = 150;S(5,1) = 140;S(6,1) = 130;
S(7,1) = 120;S(8,1) = 110;S(9,1) = 100;S(10,1) = 90;S(11,1) = 80;S(12,1) = 70;
S(13,1) = 60;S(14,1) = 50;S(15,1) = 40;S(16,1) = 30;S(17,1) = 20;S(18,1) = 10;
S(19,1) = 0;S(20,1) = 350;S(21,1) = 340;S(22,1) = 330;S(23,1) = 320;S(24,1) = 310;
S(25,1) = 300;S(26,1) = 290;S(27,1) = 280;S(28,1) = 270;S(29,1) = 260;S(30,1) = 250;
S(31,1) = 240;S(32,1) = 230;S(33,1) = 220;S(34,1) = 210;S(35,1) = 200;S(36,1) = 190;
 
B1 = B1';B2 = B2';B3 = B3';B4 = B4';B5 = B5';B6 = B6';
B7 = B7';B8 = B8';B9 = B9';B10 = B10';B11 = B11';
B12 = B12';B13 = B13';B14 = B14';B15 = B15';B16 = B16';
B17 = B17';B18 = B18';B19 = B19';B20 = B20';B21 = B21';
B22 = B22';B23 = B23';B24 = B24';B25 = B25';B26 = B26';
B27 = B27';B28 = B28';B29 = B29';B30 = B30';B31 = B31';
B32 = B32';B33 = B33';B34 = B34';B35 = B35';B36 = B36';
Bz = [];Bz = [Bz, B1];Bz = [Bz, B2];Bz = [Bz, B3];
Bz = [Bz, B4];Bz = [Bz, B5];Bz = [Bz, B6];Bz = [Bz, B7];
Bz = [Bz, B8];Bz = [Bz, B9];Bz = [Bz, B10];Bz = [Bz, B11];
Bz = [Bz, B12];Bz = [Bz, B13];Bz = [Bz, B14];
Bz = [Bz, B15];Bz = [Bz, B16];Bz = [Bz, B17];
Bz = [Bz, B18];Bz = [Bz, B19];Bz = [Bz, B20];
Bz = [Bz, B21];Bz = [Bz, B22];Bz = [Bz, B23];
Bz = [Bz, B24];Bz = [Bz, B25];Bz = [Bz, B26];
Bz = [Bz, B27];Bz = [Bz, B28];Bz = [Bz, B29];
Bz = [Bz, B30];Bz = [Bz, B31];Bz = [Bz, B32];
Bz = [Bz, B33];Bz = [Bz, B34];Bz = [Bz, B35];
Bz = [Bz, B36];Bz = [Bz, rdeg];

clear B1;clear B2;clear B3;clear B4;clear B5;clear B6;
clear B7;clear B8;clear B9;clear B10;clear B11;clear B12;
clear B13;clear B14;clear B15;clear B16;clear B17;
clear B18;clear B19;clear B20;clear B21;clear B22;
clear B23;clear B24;clear B25;clear B26;clear B27;
clear B28;clear B29;clear B30;clear B31;clear B32;
clear B33;clear B34;clear B35;clear B36;

Bz = sortrows(Bz, [73]);fprintf('.');

end

%============ Loading Target Data ==========

for fold = 1:1:1 
    
[S1, cj] = fscanf(ff, '%d', [1]);
[F105, cf] = fscanf(ff, '%g %g', [2, 360]);[F115, cf] = fscanf(ff, '%g %g', [2, 360]);
[F120, cf] = fscanf(ff, '%g %g', [2, 360]);[F125, cf] = fscanf(ff, '%g %g', [2, 360]);
[F130, cf] = fscanf(ff, '%g %g', [2, 360]);[F135, cf] = fscanf(ff, '%g %g', [2, 360]);
[F140, cf] = fscanf(ff, '%g %g', [2, 360]);[F145, cf] = fscanf(ff, '%g %g', [2, 360]);
[F150, cf] = fscanf(ff, '%g %g', [2, 360]);
 
[S2, cj] = fscanf(ff, '%d', [1]);
[F205, cf] = fscanf(ff, '%g %g', [2, 360]);[F215, cf] = fscanf(ff, '%g %g', [2, 360]);
[F220, cf] = fscanf(ff, '%g %g', [2, 360]);[F225, cf] = fscanf(ff, '%g %g', [2, 360]);
[F230, cf] = fscanf(ff, '%g %g', [2, 360]);[F235, cf] = fscanf(ff, '%g %g', [2, 360]);
[F240, cf] = fscanf(ff, '%g %g', [2, 360]);[F245, cf] = fscanf(ff, '%g %g', [2, 360]);
[F250, cf] = fscanf(ff, '%g %g', [2, 360]); 

[S3, cj] = fscanf(ff, '%d', [1]);
[F305, cf] = fscanf(ff, '%g %g', [2, 360]);[F315, cf] = fscanf(ff, '%g %g', [2, 360]);
[F320, cf] = fscanf(ff, '%g %g', [2, 360]);[F325, cf] = fscanf(ff, '%g %g', [2, 360]);
[F330, cf] = fscanf(ff, '%g %g', [2, 360]);[F335, cf] = fscanf(ff, '%g %g', [2, 360]);
[F340, cf] = fscanf(ff, '%g %g', [2, 360]);[F345, cf] = fscanf(ff, '%g %g', [2, 360]);
[F350, cf] = fscanf(ff, '%g %g', [2, 360]);
 
[S4, cj] = fscanf(ff, '%d', [1]);
[F405, cf] = fscanf(ff, '%g %g', [2, 360]);[F415, cf] = fscanf(ff, '%g %g', [2, 360]);
[F420, cf] = fscanf(ff, '%g %g', [2, 360]);[F425, cf] = fscanf(ff, '%g %g', [2, 360]);
[F430, cf] = fscanf(ff, '%g %g', [2, 360]);[F435, cf] = fscanf(ff, '%g %g', [2, 360]);
[F440, cf] = fscanf(ff, '%g %g', [2, 360]);[F445, cf] = fscanf(ff, '%g %g', [2, 360]);
[F450, cf] = fscanf(ff, '%g %g', [2, 360]);
 
[S5, cj] = fscanf(ff, '%d', [1]);
[F505, cf] = fscanf(ff, '%g %g', [2, 360]);[F515, cf] = fscanf(ff, '%g %g', [2, 360]);
[F520, cf] = fscanf(ff, '%g %g', [2, 360]);[F525, cf] = fscanf(ff, '%g %g', [2, 360]);
[F530, cf] = fscanf(ff, '%g %g', [2, 360]);[F535, cf] = fscanf(ff, '%g %g', [2, 360]);
[F540, cf] = fscanf(ff, '%g %g', [2, 360]);[F545, cf] = fscanf(ff, '%g %g', [2, 360]);
[F550, cf] = fscanf(ff, '%g %g', [2, 360]);
 
[S6, cj] = fscanf(ff, '%d', [1]);
[F605, cf] = fscanf(ff, '%g %g', [2, 360]);[F615, cf] = fscanf(ff, '%g %g', [2, 360]);
[F620, cf] = fscanf(ff, '%g %g', [2, 360]);[F625, cf] = fscanf(ff, '%g %g', [2, 360]);
[F630, cf] = fscanf(ff, '%g %g', [2, 360]);[F635, cf] = fscanf(ff, '%g %g', [2, 360]);
[F640, cf] = fscanf(ff, '%g %g', [2, 360]);[F645, cf] = fscanf(ff, '%g %g', [2, 360]);
[F650, cf] = fscanf(ff, '%g %g', [2, 360]);
 
[S7, cj] = fscanf(ff, '%d', [1]);
[F705, cf] = fscanf(ff, '%g %g', [2, 360]);[F715, cf] = fscanf(ff, '%g %g', [2, 360]);
[F720, cf] = fscanf(ff, '%g %g', [2, 360]);[F725, cf] = fscanf(ff, '%g %g', [2, 360]);
[F730, cf] = fscanf(ff, '%g %g', [2, 360]);[F735, cf] = fscanf(ff, '%g %g', [2, 360]);
[F740, cf] = fscanf(ff, '%g %g', [2, 360]);[F745, cf] = fscanf(ff, '%g %g', [2, 360]);
[F750, cf] = fscanf(ff, '%g %g', [2, 360]);
 
[S8, cj] = fscanf(ff, '%d', [1]);
[F805, cf] = fscanf(ff, '%g %g', [2, 360]);[F815, cf] = fscanf(ff, '%g %g', [2, 360]);
[F820, cf] = fscanf(ff, '%g %g', [2, 360]);[F825, cf] = fscanf(ff, '%g %g', [2, 360]);
[F830, cf] = fscanf(ff, '%g %g', [2, 360]);[F835, cf] = fscanf(ff, '%g %g', [2, 360]);
[F840, cf] = fscanf(ff, '%g %g', [2, 360]);[F845, cf] = fscanf(ff, '%g %g', [2, 360]);
[F850, cf] = fscanf(ff, '%g %g', [2, 360]);
 
[S9, cj] = fscanf(ff, '%d', [1]);
[F905, cf] = fscanf(ff, '%g %g', [2, 360]);[F915, cf] = fscanf(ff, '%g %g', [2, 360]);
[F920, cf] = fscanf(ff, '%g %g', [2, 360]);[F925, cf] = fscanf(ff, '%g %g', [2, 360]);
[F930, cf] = fscanf(ff, '%g %g', [2, 360]);[F935, cf] = fscanf(ff, '%g %g', [2, 360]);
[F940, cf] = fscanf(ff, '%g %g', [2, 360]);[F945, cf] = fscanf(ff, '%g %g', [2, 360]);
[F950, cf] = fscanf(ff, '%g %g', [2, 360]);
 
[S10, cj] = fscanf(ff, '%d', [1]);
[F1005, cf] = fscanf(ff, '%g %g', [2, 360]);[F1015, cf] = fscanf(ff, '%g %g', [2, 360]);
[F1020, cf] = fscanf(ff, '%g %g', [2, 360]);[F1025, cf] = fscanf(ff, '%g %g', [2, 360]);
[F1030, cf] = fscanf(ff, '%g %g', [2, 360]);[F1035, cf] = fscanf(ff, '%g %g', [2, 360]);
[F1040, cf] = fscanf(ff, '%g %g', [2, 360]);[F1045, cf] = fscanf(ff, '%g %g', [2, 360]);
[F1050, cf] = fscanf(ff, '%g %g', [2, 360]);
 
[S11, cj] = fscanf(ff, '%d', [1]);
[F1105, cf] = fscanf(ff, '%g %g', [2, 360]);[F1115, cf] = fscanf(ff, '%g %g', [2, 360]);
[F1120, cf] = fscanf(ff, '%g %g', [2, 360]);[F1125, cf] = fscanf(ff, '%g %g', [2, 360]);
[F1130, cf] = fscanf(ff, '%g %g', [2, 360]);[F1135, cf] = fscanf(ff, '%g %g', [2, 360]);
[F1140, cf] = fscanf(ff, '%g %g', [2, 360]);[F1145, cf] = fscanf(ff, '%g %g', [2, 360]);
[F1150, cf] = fscanf(ff, '%g %g', [2, 360]);
 
[S12, cj] = fscanf(ff, '%d', [1]);
[F1205, cf] = fscanf(ff, '%g %g', [2, 360]);[F1215, cf] = fscanf(ff, '%g %g', [2, 360]);
[F1220, cf] = fscanf(ff, '%g %g', [2, 360]);[F1225, cf] = fscanf(ff, '%g %g', [2, 360]);
[F1230, cf] = fscanf(ff, '%g %g', [2, 360]);[F1235, cf] = fscanf(ff, '%g %g', [2, 360]);
[F1240, cf] = fscanf(ff, '%g %g', [2, 360]);[F1245, cf] = fscanf(ff, '%g %g', [2, 360]);
[F1250, cf] = fscanf(ff, '%g %g', [2, 360]);

[S13, cj] = fscanf(ff, '%d', [1]);
[F1305, cf] = fscanf(ff, '%g %g', [2, 360]);[F1315, cf] = fscanf(ff, '%g %g', [2, 360]);
[F1320, cf] = fscanf(ff, '%g %g', [2, 360]);[F1325, cf] = fscanf(ff, '%g %g', [2, 360]);
[F1330, cf] = fscanf(ff, '%g %g', [2, 360]);[F1335, cf] = fscanf(ff, '%g %g', [2, 360]);
[F1340, cf] = fscanf(ff, '%g %g', [2, 360]);[F1345, cf] = fscanf(ff, '%g %g', [2, 360]);
[F1350, cf] = fscanf(ff, '%g %g', [2, 360]);
 
[S14, cj] = fscanf(ff, '%d', [1]);
[F1405, cf] = fscanf(ff, '%g %g', [2, 360]);[F1415, cf] = fscanf(ff, '%g %g', [2, 360]);
[F1420, cf] = fscanf(ff, '%g %g', [2, 360]);[F1425, cf] = fscanf(ff, '%g %g', [2, 360]);
[F1430, cf] = fscanf(ff, '%g %g', [2, 360]);[F1435, cf] = fscanf(ff, '%g %g', [2, 360]);
[F1440, cf] = fscanf(ff, '%g %g', [2, 360]);[F1445, cf] = fscanf(ff, '%g %g', [2, 360]);
[F1450, cf] = fscanf(ff, '%g %g', [2, 360]);

[S15, cj] = fscanf(ff, '%d', [1]);
[F1505, cf] = fscanf(ff, '%g %g', [2, 360]);[F1515, cf] = fscanf(ff, '%g %g', [2, 360]);
[F1520, cf] = fscanf(ff, '%g %g', [2, 360]);[F1525, cf] = fscanf(ff, '%g %g', [2, 360]);
[F1530, cf] = fscanf(ff, '%g %g', [2, 360]);[F1535, cf] = fscanf(ff, '%g %g', [2, 360]);
[F1540, cf] = fscanf(ff, '%g %g', [2, 360]);[F1545, cf] = fscanf(ff, '%g %g', [2, 360]);
[F1550, cf] = fscanf(ff, '%g %g', [2, 360]);
 
[S16, cj] = fscanf(ff, '%d', [1]);
[F1605, cf] = fscanf(ff, '%g %g', [2, 360]);[F1615, cf] = fscanf(ff, '%g %g', [2, 360]);
[F1620, cf] = fscanf(ff, '%g %g', [2, 360]);[F1625, cf] = fscanf(ff, '%g %g', [2, 360]);
[F1630, cf] = fscanf(ff, '%g %g', [2, 360]);[F1635, cf] = fscanf(ff, '%g %g', [2, 360]);
[F1640, cf] = fscanf(ff, '%g %g', [2, 360]);[F1645, cf] = fscanf(ff, '%g %g', [2, 360]);
[F1650, cf] = fscanf(ff, '%g %g', [2, 360]);
 
[S17, cj] = fscanf(ff, '%d', [1]);
[F1705, cf] = fscanf(ff, '%g %g', [2, 360]);[F1715, cf] = fscanf(ff, '%g %g', [2, 360]);
[F1720, cf] = fscanf(ff, '%g %g', [2, 360]);[F1725, cf] = fscanf(ff, '%g %g', [2, 360]);
[F1730, cf] = fscanf(ff, '%g %g', [2, 360]);[F1735, cf] = fscanf(ff, '%g %g', [2, 360]);
[F1740, cf] = fscanf(ff, '%g %g', [2, 360]);[F1745, cf] = fscanf(ff, '%g %g', [2, 360]);
[F1750, cf] = fscanf(ff, '%g %g', [2, 360]);
 
[S18, cj] = fscanf(ff, '%d', [1]);
[F1805, cf] = fscanf(ff, '%g %g', [2, 360]);[F1815, cf] = fscanf(ff, '%g %g', [2, 360]);
[F1820, cf] = fscanf(ff, '%g %g', [2, 360]);[F1825, cf] = fscanf(ff, '%g %g', [2, 360]);
[F1830, cf] = fscanf(ff, '%g %g', [2, 360]);[F1835, cf] = fscanf(ff, '%g %g', [2, 360]);
[F1840, cf] = fscanf(ff, '%g %g', [2, 360]);[F1845, cf] = fscanf(ff, '%g %g', [2, 360]);
[F1850, cf] = fscanf(ff, '%g %g', [2, 360]);
 
[S19, cj] = fscanf(ff, '%d', [1]);
[F1905, cf] = fscanf(ff, '%g %g', [2, 360]);[F1915, cf] = fscanf(ff, '%g %g', [2, 360]);
[F1920, cf] = fscanf(ff, '%g %g', [2, 360]);[F1925, cf] = fscanf(ff, '%g %g', [2, 360]);
[F1930, cf] = fscanf(ff, '%g %g', [2, 360]);[F1935, cf] = fscanf(ff, '%g %g', [2, 360]);
[F1940, cf] = fscanf(ff, '%g %g', [2, 360]);[F1945, cf] = fscanf(ff, '%g %g', [2, 360]);
[F1950, cf] = fscanf(ff, '%g %g', [2, 360]);

[S20, cj] = fscanf(ff, '%d', [1]);
[F2005, cf] = fscanf(ff, '%g %g', [2, 360]);[F2015, cf] = fscanf(ff, '%g %g', [2, 360]);
[F2020, cf] = fscanf(ff, '%g %g', [2, 360]);[F2025, cf] = fscanf(ff, '%g %g', [2, 360]);
[F2030, cf] = fscanf(ff, '%g %g', [2, 360]);[F2035, cf] = fscanf(ff, '%g %g', [2, 360]);
[F2040, cf] = fscanf(ff, '%g %g', [2, 360]);[F2045, cf] = fscanf(ff, '%g %g', [2, 360]);
[F2050, cf] = fscanf(ff, '%g %g', [2, 360]);
 
[S21, cj] = fscanf(ff, '%d', [1]);
[F2105, cf] = fscanf(ff, '%g %g', [2, 360]);[F2115, cf] = fscanf(ff, '%g %g', [2, 360]);
[F2120, cf] = fscanf(ff, '%g %g', [2, 360]);[F2125, cf] = fscanf(ff, '%g %g', [2, 360]);
[F2130, cf] = fscanf(ff, '%g %g', [2, 360]);[F2135, cf] = fscanf(ff, '%g %g', [2, 360]);
[F2140, cf] = fscanf(ff, '%g %g', [2, 360]);[F2145, cf] = fscanf(ff, '%g %g', [2, 360]);
[F2150, cf] = fscanf(ff, '%g %g', [2, 360]);

[S22, cj] = fscanf(ff, '%d', [1]);
[F2205, cf] = fscanf(ff, '%g %g', [2, 360]);[F2215, cf] = fscanf(ff, '%g %g', [2, 360]);
[F2220, cf] = fscanf(ff, '%g %g', [2, 360]);[F2225, cf] = fscanf(ff, '%g %g', [2, 360]);
[F2230, cf] = fscanf(ff, '%g %g', [2, 360]);[F2235, cf] = fscanf(ff, '%g %g', [2, 360]);
[F2240, cf] = fscanf(ff, '%g %g', [2, 360]);[F2245, cf] = fscanf(ff, '%g %g', [2, 360]);
[F2250, cf] = fscanf(ff, '%g %g', [2, 360]);
 
[S23, cj] = fscanf(ff, '%d', [1]);
[F2305, cf] = fscanf(ff, '%g %g', [2, 360]);[F2315, cf] = fscanf(ff, '%g %g', [2, 360]);
[F2320, cf] = fscanf(ff, '%g %g', [2, 360]);[F2325, cf] = fscanf(ff, '%g %g', [2, 360]);
[F2330, cf] = fscanf(ff, '%g %g', [2, 360]);[F2335, cf] = fscanf(ff, '%g %g', [2, 360]);
[F2340, cf] = fscanf(ff, '%g %g', [2, 360]);[F2345, cf] = fscanf(ff, '%g %g', [2, 360]);
[F2350, cf] = fscanf(ff, '%g %g', [2, 360]);
 
[S24, cj] = fscanf(ff, '%d', [1]);
[F2405, cf] = fscanf(ff, '%g %g', [2, 360]);[F2415, cf] = fscanf(ff, '%g %g', [2, 360]);
[F2420, cf] = fscanf(ff, '%g %g', [2, 360]);[F2425, cf] = fscanf(ff, '%g %g', [2, 360]);
[F2430, cf] = fscanf(ff, '%g %g', [2, 360]);[F2435, cf] = fscanf(ff, '%g %g', [2, 360]);
[F2440, cf] = fscanf(ff, '%g %g', [2, 360]);[F2445, cf] = fscanf(ff, '%g %g', [2, 360]);
[F2450, cf] = fscanf(ff, '%g %g', [2, 360]);
 
[S25, cj] = fscanf(ff, '%d', [1]);
[F2505, cf] = fscanf(ff, '%g %g', [2, 360]);[F2515, cf] = fscanf(ff, '%g %g', [2, 360]);
[F2520, cf] = fscanf(ff, '%g %g', [2, 360]);[F2525, cf] = fscanf(ff, '%g %g', [2, 360]);
[F2530, cf] = fscanf(ff, '%g %g', [2, 360]);[F2535, cf] = fscanf(ff, '%g %g', [2, 360]);
[F2540, cf] = fscanf(ff, '%g %g', [2, 360]);[F2545, cf] = fscanf(ff, '%g %g', [2, 360]);
[F2550, cf] = fscanf(ff, '%g %g', [2, 360]);
 
[S26, cj] = fscanf(ff, '%d', [1]);
[F2605, cf] = fscanf(ff, '%g %g', [2, 360]);[F2615, cf] = fscanf(ff, '%g %g', [2, 360]);
[F2620, cf] = fscanf(ff, '%g %g', [2, 360]);[F2625, cf] = fscanf(ff, '%g %g', [2, 360]);
[F2630, cf] = fscanf(ff, '%g %g', [2, 360]);[F2635, cf] = fscanf(ff, '%g %g', [2, 360]);
[F2640, cf] = fscanf(ff, '%g %g', [2, 360]);[F2645, cf] = fscanf(ff, '%g %g', [2, 360]);
[F2650, cf] = fscanf(ff, '%g %g', [2, 360]);

[S27, cj] = fscanf(ff, '%d', [1]);
[F2705, cf] = fscanf(ff, '%g %g', [2, 360]);[F2715, cf] = fscanf(ff, '%g %g', [2, 360]);
[F2720, cf] = fscanf(ff, '%g %g', [2, 360]);[F2725, cf] = fscanf(ff, '%g %g', [2, 360]);
[F2730, cf] = fscanf(ff, '%g %g', [2, 360]);[F2735, cf] = fscanf(ff, '%g %g', [2, 360]);
[F2740, cf] = fscanf(ff, '%g %g', [2, 360]);[F2745, cf] = fscanf(ff, '%g %g', [2, 360]);
[F2750, cf] = fscanf(ff, '%g %g', [2, 360]);

[S28, cj] = fscanf(ff, '%d', [1]);
[F2805, cf] = fscanf(ff, '%g %g', [2, 360]);[F2815, cf] = fscanf(ff, '%g %g', [2, 360]);
[F2820, cf] = fscanf(ff, '%g %g', [2, 360]);[F2825, cf] = fscanf(ff, '%g %g', [2, 360]);
[F2830, cf] = fscanf(ff, '%g %g', [2, 360]);[F2835, cf] = fscanf(ff, '%g %g', [2, 360]);
[F2840, cf] = fscanf(ff, '%g %g', [2, 360]);[F2845, cf] = fscanf(ff, '%g %g', [2, 360]);
[F2850, cf] = fscanf(ff, '%g %g', [2, 360]);

[S29, cj] = fscanf(ff, '%d', [1]);
[F2905, cf] = fscanf(ff, '%g %g', [2, 360]);[F2915, cf] = fscanf(ff, '%g %g', [2, 360]);
[F2920, cf] = fscanf(ff, '%g %g', [2, 360]);[F2925, cf] = fscanf(ff, '%g %g', [2, 360]);
[F2930, cf] = fscanf(ff, '%g %g', [2, 360]);[F2935, cf] = fscanf(ff, '%g %g', [2, 360]);
[F2940, cf] = fscanf(ff, '%g %g', [2, 360]);[F2945, cf] = fscanf(ff, '%g %g', [2, 360]);
[F2950, cf] = fscanf(ff, '%g %g', [2, 360]);

[S30, cj] = fscanf(ff, '%d', [1]);
[F3005, cf] = fscanf(ff, '%g %g', [2, 360]);[F3015, cf] = fscanf(ff, '%g %g', [2, 360]);
[F3020, cf] = fscanf(ff, '%g %g', [2, 360]);[F3025, cf] = fscanf(ff, '%g %g', [2, 360]);
[F3030, cf] = fscanf(ff, '%g %g', [2, 360]);[F3035, cf] = fscanf(ff, '%g %g', [2, 360]);
[F3040, cf] = fscanf(ff, '%g %g', [2, 360]);[F3045, cf] = fscanf(ff, '%g %g', [2, 360]);
[F3050, cf] = fscanf(ff, '%g %g', [2, 360]);

[S31, cj] = fscanf(ff, '%d', [1]);
[F3105, cf] = fscanf(ff, '%g %g', [2, 360]);[F3115, cf] = fscanf(ff, '%g %g', [2, 360]);
[F3120, cf] = fscanf(ff, '%g %g', [2, 360]);[F3125, cf] = fscanf(ff, '%g %g', [2, 360]);
[F3130, cf] = fscanf(ff, '%g %g', [2, 360]);[F3135, cf] = fscanf(ff, '%g %g', [2, 360]);
[F3140, cf] = fscanf(ff, '%g %g', [2, 360]);[F3145, cf] = fscanf(ff, '%g %g', [2, 360]);
[F3150, cf] = fscanf(ff, '%g %g', [2, 360]);
 
[S32, cj] = fscanf(ff, '%d', [1]);
[F3205, cf] = fscanf(ff, '%g %g', [2, 360]);[F3215, cf] = fscanf(ff, '%g %g', [2, 360]);
[F3220, cf] = fscanf(ff, '%g %g', [2, 360]);[F3225, cf] = fscanf(ff, '%g %g', [2, 360]);
[F3230, cf] = fscanf(ff, '%g %g', [2, 360]);[F3235, cf] = fscanf(ff, '%g %g', [2, 360]);
[F3240, cf] = fscanf(ff, '%g %g', [2, 360]);[F3245, cf] = fscanf(ff, '%g %g', [2, 360]);
[F3250, cf] = fscanf(ff, '%g %g', [2, 360]);
 
[S33, cj] = fscanf(ff, '%d', [1]);
[F3305, cf] = fscanf(ff, '%g %g', [2, 360]);[F3315, cf] = fscanf(ff, '%g %g', [2, 360]);
[F3320, cf] = fscanf(ff, '%g %g', [2, 360]);[F3325, cf] = fscanf(ff, '%g %g', [2, 360]);
[F3330, cf] = fscanf(ff, '%g %g', [2, 360]);[F3335, cf] = fscanf(ff, '%g %g', [2, 360]);
[F3340, cf] = fscanf(ff, '%g %g', [2, 360]);[F3345, cf] = fscanf(ff, '%g %g', [2, 360]);
[F3350, cf] = fscanf(ff, '%g %g', [2, 360]);
 
[S34, cj] = fscanf(ff, '%d', [1]);
[F3405, cf] = fscanf(ff, '%g %g', [2, 360]);[F3415, cf] = fscanf(ff, '%g %g', [2, 360]);
[F3420, cf] = fscanf(ff, '%g %g', [2, 360]);[F3425, cf] = fscanf(ff, '%g %g', [2, 360]);
[F3430, cf] = fscanf(ff, '%g %g', [2, 360]);[F3435, cf] = fscanf(ff, '%g %g', [2, 360]);
[F3440, cf] = fscanf(ff, '%g %g', [2, 360]);[F3445, cf] = fscanf(ff, '%g %g', [2, 360]);
[F3450, cf] = fscanf(ff, '%g %g', [2, 360]);
 
[S35, cj] = fscanf(ff, '%d', [1]);
[F3505, cf] = fscanf(ff, '%g %g', [2, 360]);[F3515, cf] = fscanf(ff, '%g %g', [2, 360]);
[F3520, cf] = fscanf(ff, '%g %g', [2, 360]);[F3525, cf] = fscanf(ff, '%g %g', [2, 360]);
[F3530, cf] = fscanf(ff, '%g %g', [2, 360]);[F3535, cf] = fscanf(ff, '%g %g', [2, 360]);
[F3540, cf] = fscanf(ff, '%g %g', [2, 360]);[F3545, cf] = fscanf(ff, '%g %g', [2, 360]);
[F3550, cf] = fscanf(ff, '%g %g', [2, 360]);
 
[S36, cj] = fscanf(ff, '%d', [1]);
[F3605, cf] = fscanf(ff, '%g %g', [2, 360]);[F3615, cf] = fscanf(ff, '%g %g', [2, 360]);
[F3620, cf] = fscanf(ff, '%g %g', [2, 360]);[F3625, cf] = fscanf(ff, '%g %g', [2, 360]);
[F3630, cf] = fscanf(ff, '%g %g', [2, 360]);[F3635, cf] = fscanf(ff, '%g %g', [2, 360]);
[F3640, cf] = fscanf(ff, '%g %g', [2, 360]);[F3645, cf] = fscanf(ff, '%g %g', [2, 360]);
[F3650, cf] = fscanf(ff, '%g %g', [2, 360]);

F105 = F105';F205 = F205';F305 = F305';F405 = F405';
F505 = F505';F605 = F605';F705 = F705';F805 = F805';
F905 = F905';F1005 = F1005';F1105 = F1105';F1205 = F1205';
F1305 = F1305';F1405 = F1405';F1505 = F1505';
F1605 = F1605';F1705 = F1705';F1805 = F1805';
F1905 = F1905';F2005 = F2005';F2105 = F2105';
F2205 = F2205';F2305 = F2305';F2405 = F2405';
F2505 = F2505';F2605 = F2605';F2705 = F2705';
F2805 = F2805';F2905 = F2905';F3005 = F3005';
F3105 = F3105';F3205 = F3205';F3305 = F3305';
F3405 = F3405';F3505 = F3505';F3605 = F3605';
 
Fz05 = [];
Fz05 = [Fz05, F105];Fz05 = [Fz05, F205];Fz05 = [Fz05, F305];
Fz05 = [Fz05, F405];Fz05 = [Fz05, F505];Fz05 = [Fz05, F605];
Fz05 = [Fz05, F705];Fz05 = [Fz05, F805];Fz05 = [Fz05, F905];
Fz05 = [Fz05, F1005];Fz05 = [Fz05, F1105];Fz05 = [Fz05, F1205];
Fz05 = [Fz05, F1305];Fz05 = [Fz05, F1405];Fz05 = [Fz05, F1505];
Fz05 = [Fz05, F1605];Fz05 = [Fz05, F1705];Fz05 = [Fz05, F1805];
Fz05 = [Fz05, F1905];Fz05 = [Fz05, F2005];Fz05 = [Fz05, F2105];
Fz05 = [Fz05, F2205];Fz05 = [Fz05, F2305];Fz05 = [Fz05, F2405];
Fz05 = [Fz05, F2505];Fz05 = [Fz05, F2605];Fz05 = [Fz05, F2705];
Fz05 = [Fz05, F2805];Fz05 = [Fz05, F2905];Fz05 = [Fz05, F3005];
Fz05 = [Fz05, F3105];Fz05 = [Fz05, F3205];Fz05 = [Fz05, F3305];
Fz05 = [Fz05, F3405];Fz05 = [Fz05, F3505];Fz05 = [Fz05, F3605];
Fz05 = [Fz05, rdeg];
 
Fz05 = sortrows(Fz05, [73]);

clear F105;clear F205;clear F305;clear F405;clear F505;clear F605;
clear F705;clear F805;clear F905;clear F1005;clear F1105;clear F1205;
clear F1305;clear F1405;clear F1505;clear F1605;clear F1705;clear F1805;
clear F1905;clear F2005;clear F2105;clear F2205;clear F2305;clear F2405;
clear F2505;clear F2605;clear F2705;clear F2805;clear F2905;clear F3005;
clear F3105;clear F3205;clear F3305;clear F3405;clear F3505;clear F3605;

fprintf('.');
 
F115 = F115';F215 = F215';F315 = F315';F415 = F415';F515 = F515';
F615 = F615';F715 = F715';F815 = F815';F915 = F915';F1015 = F1015';
F1115 = F1115';F1215 = F1215';F1315 = F1315';F1415 = F1415';F1515 = F1515';
F1615 = F1615';F1715 = F1715';F1815 = F1815';F1915 = F1915';F2015 = F2015';
F2115 = F2115';F2215 = F2215';F2315 = F2315';F2415 = F2415';F2515 = F2515';
F2615 = F2615';F2715 = F2715';F2815 = F2815';F2915 = F2915';F3015 = F3015';
F3115 = F3115';F3215 = F3215';F3315 = F3315';F3415 = F3415';F3515 = F3515';
F3615 = F3615';

Fz15 = [];Fz15 = [Fz15, F115];Fz15 = [Fz15, F215];Fz15 = [Fz15, F315];
Fz15 = [Fz15, F415];Fz15 = [Fz15, F515];Fz15 = [Fz15, F615];Fz15 = [Fz15, F715];
Fz15 = [Fz15, F815];Fz15 = [Fz15, F915];Fz15 = [Fz15, F1015];Fz15 = [Fz15, F1115];
Fz15 = [Fz15, F1215];Fz15 = [Fz15, F1315];Fz15 = [Fz15, F1415];Fz15 = [Fz15, F1515];
Fz15 = [Fz15, F1615];Fz15 = [Fz15, F1715];Fz15 = [Fz15, F1815];Fz15 = [Fz15, F1915];
Fz15 = [Fz15, F2015];Fz15 = [Fz15, F2115];Fz15 = [Fz15, F2215];Fz15 = [Fz15, F2315];
Fz15 = [Fz15, F2415];Fz15 = [Fz15, F2515];Fz15 = [Fz15, F2615];Fz15 = [Fz15, F2715];
Fz15 = [Fz15, F2815];Fz15 = [Fz15, F2915];Fz15 = [Fz15, F3015];Fz15 = [Fz15, F3115];
Fz15 = [Fz15, F3215];Fz15 = [Fz15, F3315];Fz15 = [Fz15, F3415];Fz15 = [Fz15, F3515];
Fz15 = [Fz15, F3615];Fz15 = [Fz15, rdeg];Fz15 = sortrows(Fz15, [73]);

clear F115;clear F215;clear F315;clear F415;clear F515;clear F615;clear F715;
clear F815;clear F915;clear F1015;clear F1115;clear F1215;clear F1315;clear F1415;
clear F1515;clear F1615;clear F1715;clear F1815;clear F1915;clear F2015;clear F2115;
clear F2215;clear F2315;clear F2415;clear F2515;clear F2615;clear F2715;clear F2815;
clear F2915;clear F3015;clear F3115;clear F3215;clear F3315;clear F3415;clear F3515;
clear F3615;

clear S1;clear S2;clear S3;clear S4;clear S5;clear S6;clear S7;clear S8;
clear S9;clear S10;clear S11;clear S12;clear S13;clear S14;clear S15;clear S16;
clear S17;clear S18;clear S19;clear S20;clear S21;clear S22;clear S23;clear S24;
clear S25;clear S26;clear S27;clear S28;clear S29;clear S30;clear S31;clear S32;
clear S33;clear S34;clear S35;clear S36;

fprintf('.');
 
F120 = F120';F220 = F220';F320 = F320';F420 = F420';F520 = F520';F620 = F620';
F720 = F720';F820 = F820';F920 = F920';F1020 = F1020';F1120 = F1120';F1220 = F1220';
F1320 = F1320';F1420 = F1420';F1520 = F1520';F1620 = F1620';F1720 = F1720';
F1820 = F1820';F1920 = F1920';F2020 = F2020';F2120 = F2120';F2220 = F2220';
F2320 = F2320';F2420 = F2420';F2520 = F2520';F2620 = F2620';F2720 = F2720';
F2820 = F2820';F2920 = F2920';F3020 = F3020';F3120 = F3120';F3220 = F3220';
F3320 = F3320';F3420 = F3420';F3520 = F3520';F3620 = F3620';

Fz20 = [];Fz20 = [Fz20, F120];Fz20 = [Fz20, F220];Fz20 = [Fz20, F320];
Fz20 = [Fz20, F420];Fz20 = [Fz20, F520];Fz20 = [Fz20, F620];Fz20 = [Fz20, F720];
Fz20 = [Fz20, F820];Fz20 = [Fz20, F920];Fz20 = [Fz20, F1020];Fz20 = [Fz20, F1120];
Fz20 = [Fz20, F1220];Fz20 = [Fz20, F1320];Fz20 = [Fz20, F1420];Fz20 = [Fz20, F1520];
Fz20 = [Fz20, F1620];Fz20 = [Fz20, F1720];Fz20 = [Fz20, F1820];Fz20 = [Fz20, F1920];
Fz20 = [Fz20, F2020];Fz20 = [Fz20, F2120];Fz20 = [Fz20, F2220];Fz20 = [Fz20, F2320];
Fz20 = [Fz20, F2420];Fz20 = [Fz20, F2520];Fz20 = [Fz20, F2620];Fz20 = [Fz20, F2720];
Fz20 = [Fz20, F2820];Fz20 = [Fz20, F2920];Fz20 = [Fz20, F3020];Fz20 = [Fz20, F3120];
Fz20 = [Fz20, F3220];Fz20 = [Fz20, F3320];Fz20 = [Fz20, F3420];Fz20 = [Fz20, F3520];
Fz20 = [Fz20, F3620];Fz20 = [Fz20, rdeg];
 
Fz20 = sortrows(Fz20, [73]);

clear F120;clear F220;clear F320;clear F420;clear F520;clear F620;clear F720;
clear F820;clear F920;clear F1020;clear F1120;clear F1220;clear F1320;clear F1420;
clear F1520;clear F1620;clear F1720;clear F1820;clear F1920;clear F2020;clear F2120;
clear F2220;clear F2320;clear F2420;clear F2520;clear F2620;clear F2720;clear F2820;
clear F2920;clear F3020;clear F3120;clear F3220;clear F3320;clear F3420;clear F3520;
clear F3620;

fprintf('.');

F125 = F125';F225 = F225';F325 = F325';F425 = F425';F525 = F525';F625 = F625';
F725 = F725';F825 = F825';F925 = F925';F1025 = F1025';F1125 = F1125';F1225 = F1225';
F1325 = F1325';F1425 = F1425';F1525 = F1525';F1625 = F1625';F1725 = F1725';
F1825 = F1825';F1925 = F1925';F2025 = F2025';F2125 = F2125';F2225 = F2225';
F2325 = F2325';F2425 = F2425';F2525 = F2525';F2625 = F2625';F2725 = F2725';
F2825 = F2825';F2925 = F2925';F3025 = F3025';F3125 = F3125';F3225 = F3225';
F3325 = F3325';F3425 = F3425';F3525 = F3525';F3625 = F3625';
 
Fz25 = [];Fz25 = [Fz25, F125];Fz25 = [Fz25, F225];Fz25 = [Fz25, F325];
Fz25 = [Fz25, F425];Fz25 = [Fz25, F525];Fz25 = [Fz25, F625];Fz25 = [Fz25, F725];
Fz25 = [Fz25, F825];Fz25 = [Fz25, F925];Fz25 = [Fz25, F1025];Fz25 = [Fz25, F1125];
Fz25 = [Fz25, F1225];Fz25 = [Fz25, F1325];Fz25 = [Fz25, F1425];Fz25 = [Fz25, F1525];
Fz25 = [Fz25, F1625];Fz25 = [Fz25, F1725];Fz25 = [Fz25, F1825];Fz25 = [Fz25, F1925];
Fz25 = [Fz25, F2025];Fz25 = [Fz25, F2125];Fz25 = [Fz25, F2225];Fz25 = [Fz25, F2325];
Fz25 = [Fz25, F2425];Fz25 = [Fz25, F2525];Fz25 = [Fz25, F2625];Fz25 = [Fz25, F2725];
Fz25 = [Fz25, F2825];Fz25 = [Fz25, F2925];Fz25 = [Fz25, F3025];Fz25 = [Fz25, F3125];
Fz25 = [Fz25, F3225];Fz25 = [Fz25, F3325];Fz25 = [Fz25, F3425];Fz25 = [Fz25, F3525];
Fz25 = [Fz25, F3625];Fz25 = [Fz25, rdeg];
 
Fz25 = sortrows(Fz25, [73]);

clear F125;clear F225;clear F325;clear F425;clear F525;clear F625;clear F725;
clear F825;clear F925;clear F1025;clear F1125;clear F1225;clear F1325;
clear F1425;clear F1525;clear F1625;clear F1725;clear F1825;clear F1925;
clear F2025;clear F2125;clear F2225;clear F2325;clear F2425;clear F2525;
clear F2625;clear F2725;clear F2825;clear F2925;clear F3025;clear F3125;
clear F3225;clear F3325;clear F3425;clear F3525;clear F3625; 
fprintf('.');
 
F130 = F130';F230 = F230';F330 = F330';F430 = F430';F530 = F530';F630 = F630';
F730 = F730';F830 = F830';F930 = F930';F1030 = F1030';F1130 = F1130';
F1230 = F1230';F1330 = F1330';F1430 = F1430';F1530 = F1530';F1630 = F1630';
F1730 = F1730';F1830 = F1830';F1930 = F1930';F2030 = F2030';F2130 = F2130';
F2230 = F2230';F2330 = F2330';F2430 = F2430';F2530 = F2530';F2630 = F2630';
F2730 = F2730';F2830 = F2830';F2930 = F2930';F3030 = F3030';F3130 = F3130';
F3230 = F3230';F3330 = F3330';F3430 = F3430';F3530 = F3530';F3630 = F3630';
 
Fz30 = [];Fz30 = [Fz30, F130];Fz30 = [Fz30, F230];Fz30 = [Fz30, F330];
Fz30 = [Fz30, F430];Fz30 = [Fz30, F530];Fz30 = [Fz30, F630];Fz30 = [Fz30, F730];
Fz30 = [Fz30, F830];Fz30 = [Fz30, F930];Fz30 = [Fz30, F1030];Fz30 = [Fz30, F1130];
Fz30 = [Fz30, F1230];Fz30 = [Fz30, F1330];Fz30 = [Fz30, F1430];Fz30 = [Fz30, F1530];
Fz30 = [Fz30, F1630];Fz30 = [Fz30, F1730];Fz30 = [Fz30, F1830];Fz30 = [Fz30, F1930];
Fz30 = [Fz30, F2030];Fz30 = [Fz30, F2130];Fz30 = [Fz30, F2230];Fz30 = [Fz30, F2330];
Fz30 = [Fz30, F2430];Fz30 = [Fz30, F2530];Fz30 = [Fz30, F2630];Fz30 = [Fz30, F2730];
Fz30 = [Fz30, F2830];Fz30 = [Fz30, F2930];Fz30 = [Fz30, F3030];Fz30 = [Fz30, F3130];
Fz30 = [Fz30, F3230];Fz30 = [Fz30, F3330];Fz30 = [Fz30, F3430];Fz30 = [Fz30, F3530];
Fz30 = [Fz30, F3630];Fz30 = [Fz30, rdeg];
 
Fz30 = sortrows(Fz30, [73]);

clear F130;clear F230;clear F330;clear F430;clear F530;clear F630;clear F730;
clear F830;clear F930;clear F1030;clear F1130;clear F1230;clear F1330;
clear F1430;clear F1530;clear F1630;clear F1730;clear F1830;clear F1930;
clear F2030;clear F2130;clear F2230;clear F2330;clear F2430;clear F2530;
clear F2630;clear F2730;clear F2830;clear F2930;clear F3030;clear F3130;
clear F3230;clear F3330;clear F3430;clear F3530;clear F3630;
 
fprintf('.');

F135 = F135';F235 = F235';F335 = F335';F435 = F435';F535 = F535';F635 = F635';
F735 = F735';F835 = F835';F935 = F935';F1035 = F1035';F1135 = F1135';
F1235 = F1235';F1335 = F1335';F1435 = F1435';F1535 = F1535';F1635 = F1635';
F1735 = F1735';F1835 = F1835';F1935 = F1935';F2035 = F2035';F2135 = F2135';
F2235 = F2235';F2335 = F2335';F2435 = F2435';F2535 = F2535';F2635 = F2635';
F2735 = F2735';F2835 = F2835';F2935 = F2935';F3035 = F3035';F3135 = F3135';
F3235 = F3235';F3335 = F3335';F3435 = F3435';F3535 = F3535';F3635 = F3635';
 
Fz35 = [];Fz35 = [Fz35, F135];Fz35 = [Fz35, F235];Fz35 = [Fz35, F335];
Fz35 = [Fz35, F435];Fz35 = [Fz35, F535];Fz35 = [Fz35, F635];Fz35 = [Fz35, F735];
Fz35 = [Fz35, F835];Fz35 = [Fz35, F935];Fz35 = [Fz35, F1035];Fz35 = [Fz35, F1135];
Fz35 = [Fz35, F1235];Fz35 = [Fz35, F1335];Fz35 = [Fz35, F1435];Fz35 = [Fz35, F1535];
Fz35 = [Fz35, F1635];Fz35 = [Fz35, F1735];Fz35 = [Fz35, F1835];Fz35 = [Fz35, F1935];
Fz35 = [Fz35, F2035];Fz35 = [Fz35, F2135];Fz35 = [Fz35, F2235];Fz35 = [Fz35, F2335];
Fz35 = [Fz35, F2435];Fz35 = [Fz35, F2535];Fz35 = [Fz35, F2635];Fz35 = [Fz35, F2735];
Fz35 = [Fz35, F2835];Fz35 = [Fz35, F2935];Fz35 = [Fz35, F3035];Fz35 = [Fz35, F3135];
Fz35 = [Fz35, F3235];Fz35 = [Fz35, F3335];Fz35 = [Fz35, F3435];Fz35 = [Fz35, F3535];
Fz35 = [Fz35, F3635];Fz35 = [Fz35, rdeg];
 
Fz35 = sortrows(Fz35, [73]);

clear F135;clear F235;clear F335;clear F435;clear F535;clear F635;clear F735;
clear F835;clear F935;clear F1035;clear F1135;clear F1235;clear F1335;clear F1435;
clear F1535;clear F1635;clear F1735;clear F1835;clear F1935;clear F2035;clear F2135;
clear F2235;clear F2335;clear F2435;clear F2535;clear F2635;clear F2735;clear F2835;
clear F2935;clear F3035;clear F3135;clear F3235;clear F3335;clear F3435;clear F3535;
clear F3635;
 
fprintf('.');
 
F140 = F140';F240 = F240';F340 = F340';F440 = F440';F540 = F540';F640 = F640';
F740 = F740';F840 = F840';F940 = F940';F1040 = F1040';F1140 = F1140';F1240 = F1240';
F1340 = F1340';F1440 = F1440';F1540 = F1540';F1640 = F1640';F1740 = F1740';
F1840 = F1840';F1940 = F1940';F2040 = F2040';F2140 = F2140';F2240 = F2240';
F2340 = F2340';F2440 = F2440';F2540 = F2540';F2640 = F2640';F2740 = F2740';
F2840 = F2840';F2940 = F2940';F3040 = F3040';F3140 = F3140';F3240 = F3240';
F3340 = F3340';F3440 = F3440';F3540 = F3540';F3640 = F3640';

Fz40 = [];Fz40 = [Fz40, F140];Fz40 = [Fz40, F240];Fz40 = [Fz40, F340];
Fz40 = [Fz40, F440];Fz40 = [Fz40, F540];Fz40 = [Fz40, F640];Fz40 = [Fz40, F740];
Fz40 = [Fz40, F840];Fz40 = [Fz40, F940];Fz40 = [Fz40, F1040];Fz40 = [Fz40, F1140];
Fz40 = [Fz40, F1240];Fz40 = [Fz40, F1340];Fz40 = [Fz40, F1440];Fz40 = [Fz40, F1540];
Fz40 = [Fz40, F1640];Fz40 = [Fz40, F1740];Fz40 = [Fz40, F1840];Fz40 = [Fz40, F1940];
Fz40 = [Fz40, F2040];Fz40 = [Fz40, F2140];Fz40 = [Fz40, F2240];Fz40 = [Fz40, F2340];
Fz40 = [Fz40, F2440];Fz40 = [Fz40, F2540];Fz40 = [Fz40, F2640];Fz40 = [Fz40, F2740];
Fz40 = [Fz40, F2840];Fz40 = [Fz40, F2940];Fz40 = [Fz40, F3040];Fz40 = [Fz40, F3140];
Fz40 = [Fz40, F3240];Fz40 = [Fz40, F3340];Fz40 = [Fz40, F3440];Fz40 = [Fz40, F3540];
Fz40 = [Fz40, F3640];Fz40 = [Fz40, rdeg];
 
Fz40 = sortrows(Fz40, [73]);

clear F140;clear F240;clear F340;clear F440;clear F540;clear F640;clear F740;
clear F840;clear F940;clear F1040;clear F1140;clear F1240;clear F1340;
clear F1440;clear F1540;clear F1640;clear F1740;clear F1840;clear F1940;
clear F2040;clear F2140;clear F2240;clear F2340;clear F2440;clear F2540;
clear F2640;clear F2740;clear F2840;clear F2940;clear F3040;clear F3140;
clear F3240;clear F3340;clear F3440;clear F3540;clear F3640;
 
fprintf('.');

F145 = F145';F245 = F245';F345 = F345';F445 = F445';F545 = F545';F645 = F645';
F745 = F745';F845 = F845';F945 = F945';F1045 = F1045';F1145 = F1145';F1245 = F1245';
F1345 = F1345';F1445 = F1445';F1545 = F1545';F1645 = F1645';F1745 = F1745';
F1845 = F1845';F1945 = F1945';F2045 = F2045';F2145 = F2145';F2245 = F2245';
F2345 = F2345';F2445 = F2445';F2545 = F2545';F2645 = F2645';F2745 = F2745';
F2845 = F2845';F2945 = F2945';F3045 = F3045';F3145 = F3145';F3245 = F3245';
F3345 = F3345';F3445 = F3445';F3545 = F3545';F3645 = F3645';
 
Fz45 = [];Fz45 = [Fz45, F145];Fz45 = [Fz45, F245];Fz45 = [Fz45, F345];
Fz45 = [Fz45, F445];Fz45 = [Fz45, F545];Fz45 = [Fz45, F645];Fz45 = [Fz45, F745];
Fz45 = [Fz45, F845];Fz45 = [Fz45, F945];Fz45 = [Fz45, F1045];Fz45 = [Fz45, F1145];
Fz45 = [Fz45, F1245];Fz45 = [Fz45, F1345];Fz45 = [Fz45, F1445];Fz45 = [Fz45, F1545];
Fz45 = [Fz45, F1645];Fz45 = [Fz45, F1745];Fz45 = [Fz45, F1845];Fz45 = [Fz45, F1945];
Fz45 = [Fz45, F2045];Fz45 = [Fz45, F2145];Fz45 = [Fz45, F2245];Fz45 = [Fz45, F2345];
Fz45 = [Fz45, F2445];Fz45 = [Fz45, F2545];Fz45 = [Fz45, F2645];Fz45 = [Fz45, F2745];
Fz45 = [Fz45, F2845];Fz45 = [Fz45, F2945];Fz45 = [Fz45, F3045];Fz45 = [Fz45, F3145];
Fz45 = [Fz45, F3245];Fz45 = [Fz45, F3345];Fz45 = [Fz45, F3445];Fz45 = [Fz45, F3545];
Fz45 = [Fz45, F3645];Fz45 = [Fz45, rdeg];
 
Fz45 = sortrows(Fz45, [73]);

clear F145;clear F245;clear F345;clear F445;clear F545;clear F645;clear F745;
clear F845;clear F945;clear F1045;clear F1145;clear F1245;clear F1345;clear F1445;
clear F1545;clear F1645;clear F1745;clear F1845;clear F1945;clear F2045;clear F2145;
clear F2245;clear F2345;clear F2445;clear F2545;clear F2645;clear F2745;clear F2845;
clear F2945;clear F3045;clear F3145;clear F3245;clear F3345;clear F3445;clear F3545;
clear F3645;
 
fprintf('.');
 
F150 = F150';F250 = F250';F350 = F350';F450 = F450';F550 = F550';F650 = F650';
F750 = F750';F850 = F850';F950 = F950';F1050 = F1050';F1150 = F1150';F1250 = F1250';
F1350 = F1350';F1450 = F1450';F1550 = F1550';F1650 = F1650';F1750 = F1750';
F1850 = F1850';F1950 = F1950';F2050 = F2050';F2150 = F2150';F2250 = F2250';
F2350 = F2350';F2450 = F2450';F2550 = F2550';F2650 = F2650';F2750 = F2750';
F2850 = F2850';F2950 = F2950';F3050 = F3050';F3150 = F3150';F3250 = F3250';
F3350 = F3350';F3450 = F3450';F3550 = F3550';F3650 = F3650';
 
Fz50 = [];Fz50 = [Fz50, F150];Fz50 = [Fz50, F250];Fz50 = [Fz50, F350];
Fz50 = [Fz50, F450];Fz50 = [Fz50, F550];Fz50 = [Fz50, F650];Fz50 = [Fz50, F750];
Fz50 = [Fz50, F850];Fz50 = [Fz50, F950];Fz50 = [Fz50, F1050];Fz50 = [Fz50, F1150];
Fz50 = [Fz50, F1250];Fz50 = [Fz50, F1350];Fz50 = [Fz50, F1450];Fz50 = [Fz50, F1550];
Fz50 = [Fz50, F1650];Fz50 = [Fz50, F1750];Fz50 = [Fz50, F1850];Fz50 = [Fz50, F1950];
Fz50 = [Fz50, F2050];Fz50 = [Fz50, F2150];Fz50 = [Fz50, F2250];Fz50 = [Fz50, F2350];
Fz50 = [Fz50, F2450];Fz50 = [Fz50, F2550];Fz50 = [Fz50, F2650];Fz50 = [Fz50, F2750];
Fz50 = [Fz50, F2850];Fz50 = [Fz50, F2950];Fz50 = [Fz50, F3050];Fz50 = [Fz50, F3150];
Fz50 = [Fz50, F3250];Fz50 = [Fz50, F3350];Fz50 = [Fz50, F3450];Fz50 = [Fz50, F3550];
Fz50 = [Fz50, F3650];Fz50 = [Fz50, rdeg];
 
Fz50 = sortrows(Fz50, [73]);

clear F150;clear F250;clear F350;clear F450;clear F550;clear F650;clear F750;
clear F850;clear F950;clear F1050;clear F1150;clear F1250;clear F1350;
clear F1450;clear F1550;clear F1650;clear F1750;clear F1850;clear F1950;
clear F2050;clear F2150;clear F2250;clear F2350;clear F2450;clear F2550;
clear F2650;clear F2750;clear F2850;clear F2950;clear F3050;clear F3150;
clear F3250;clear F3350;clear F3450;clear F3550;clear F3650;

fprintf('.');fprintf('. Done');

end

%============ Matrix Construction ============

for fold = 1:1:1
%Variable Initiation for Step to Building Matrices
rdeg = sortrows(rdeg);MData = [];
sstep = 36/Ns;rstep = 360/Nr;

fprintf('\n\nBuilding Matrices .');
 
for ss = 1:sstep:36
    fprintf('.');
    for aa = 1:rstep:360
        

            switch eri
                case 1
                    MData = [MData; [S(ss,1) rdeg(aa,1) frequ Fz05(aa,2*ss-1) Fz05(aa,2*ss) Bz(aa,2*ss-1) Bz(aa,2*ss)]];
                case 2
                    MData = [MData; [S(ss,1) rdeg(aa,1) frequ Fz15(aa,2*ss-1) Fz15(aa,2*ss) Bz(aa,2*ss-1) Bz(aa,2*ss)]];
                case 3
                    MData = [MData; [S(ss,1) rdeg(aa,1) frequ Fz20(aa,2*ss-1) Fz20(aa,2*ss) Bz(aa,2*ss-1) Bz(aa,2*ss)]];
                case 4
                    MData = [MData; [S(ss,1) rdeg(aa,1) frequ Fz25(aa,2*ss-1) Fz25(aa,2*ss) Bz(aa,2*ss-1) Bz(aa,2*ss)]];
                case 5
                    MData = [MData; [S(ss,1) rdeg(aa,1) frequ Fz30(aa,2*ss-1) Fz30(aa,2*ss) Bz(aa,2*ss-1) Bz(aa,2*ss)]];
                case 6
                    MData = [MData; [S(ss,1) rdeg(aa,1) frequ Fz35(aa,2*ss-1) Fz35(aa,2*ss) Bz(aa,2*ss-1) Bz(aa,2*ss)]];
                case 7
                    MData = [MData; [S(ss,1) rdeg(aa,1) frequ Fz40(aa,2*ss-1) Fz40(aa,2*ss) Bz(aa,2*ss-1) Bz(aa,2*ss)]];
                case 8
                    MData = [MData; [S(ss,1) rdeg(aa,1) frequ Fz45(aa,2*ss-1) Fz45(aa,2*ss) Bz(aa,2*ss-1) Bz(aa,2*ss)]];
                case 9
                    MData = [MData; [S(ss,1) rdeg(aa,1) frequ Fz50(aa,2*ss-1) Fz50(aa,2*ss) Bz(aa,2*ss-1) Bz(aa,2*ss)]];
                otherwise
                    disp('ERROR ... Permitivity value out of range!');
                    break;
            end
        
    end
end

fprintf('. Done');

clear S;clear rdeg;clear Fz05;clear Fz15;clear Fz20;clear Fz25;clear Fz30;
clear Fz35;clear Fz40;clear Fz45;clear Fz50;clear Bz;clear X;clear Y;
end
 
row = Ns*Nr;col = 7;MData(:,2) = (MData(:,2) - 180);

%========== Normalizing data ==========

for fold = 1:1:1
    
ReEinc = 0;ImEinc = 0; 

fprintf('\n\nCalculating Normalization Factors ');

count = 0;statuspt = row/10;
    
    for ii = 1:row

        count = count+1;
        if(count >= statuspt)
            fprintf('.');
            count = 0;
        end

        ReEinc = ReEinc + MData(ii,6)^2;
        ImEinc = ImEinc + MData(ii,7)^2;

    end
    
    DataNorm = 1/(sqrt(ReEinc + ImEinc));  

  fprintf('.. Done');
  
end

%========== Matrix Initialization ==========

for fold = 1:1:1

xt = [];yt = [];zt = [];InT = [];InB = [];
x1 = [];y1 = [];z1 = [];Inb1 = [];In1 = [];
x2 = [];y2 = [];z2 = [];Inb2 = [];In2 = [];
x3 = [];y3 = [];z3 = [];Inb3 = [];In3 = [];
x4 = [];y4 = [];z4 = [];Inb4 = [];In4 = [];
x5 = [];y5 = [];z5 = [];Inb5 = [];In5 = [];
x6 = [];y6 = [];z6 = [];Inb6 = [];In6 = [];
x7 = [];y7 = [];z7 = [];Inb7 = [];In7 = [];
x8 = [];y8 = [];z8 = [];Inb8 = [];In8 = [];
x9 = [];y9 = [];z9 = [];Inb9 = [];In9 = [];
x10 = [];y10 = [];z10 = [];Inb10 = [];In10 = [];
x11 = [];y11 = [];z11 = [];Inb11 = [];In11 = [];
x12 = [];y12 = [];z12 = [];Inb12 = [];In12 = [];
x13 = [];y13 = [];z13 = [];Inb13 = [];In13 = [];
x14 = [];y14 = [];z14 = [];Inb14 = [];In14 = [];
x15 = [];y15 = [];z15 = [];Inb15 = [];In15 = [];
x16 = [];y16 = [];z16 = [];Inb16 = [];In16 = [];
x17 = [];y17 = [];z17 = [];Inb17 = [];In17 = [];
x18 = [];y18 = [];z18 = [];Inb18 = [];In18 = [];
x19 = [];y19 = [];z19 = [];Inb19 = [];In19 = [];
x20 = [];y20 = [];z20 = [];Inb20 = [];In20 = [];
x21 = [];y21 = [];z21 = [];Inb21 = [];In21 = [];
x22 = [];y22 = [];z22 = [];Inb22 = [];In22 = [];
x23 = [];y23 = [];z23 = [];Inb23 = [];In23 = [];
x24 = [];y24 = [];z24 = [];Inb24 = [];In24 = [];
x25 = [];y25 = [];z25 = [];Inb25 = [];In25 = [];
x26 = [];y26 = [];z26 = [];Inb26 = [];In26 = [];
x27 = [];y27 = [];z27 = [];Inb27 = [];In27 = [];
x28 = [];y28 = [];z28 = [];Inb28 = [];In28 = [];
x29 = [];y29 = [];z29 = [];Inb29 = [];In29 = [];
x30 = [];y30 = [];z30 = [];Inb30 = [];In30 = [];
x31 = [];y31 = [];z31 = [];Inb31 = [];In31 = [];
x32 = [];y32 = [];z32 = [];Inb32 = [];In32 = [];
x33 = [];y33 = [];z33 = [];Inb33 = [];In33 = [];
x34 = [];y34 = [];z34 = [];Inb34 = [];In34 = [];
x35 = [];y35 = [];z35 = [];Inb35 = [];In35 = [];
x36 = [];y36 = [];z36 = [];Inb36 = [];In36 = [];G1Tc = [];

count = 0;cc = 0;

end

%========== Data Processing ==========
    
for d = 1:Ns
    
    for ddd = 1:Nr

    dd = d*ddd;cc = cc + 1;
    
    Zc = (MData(cc,4)-MData(cc,6)) + i*(MData(cc,5)-MData(cc,7)); 
    Zi = (MData(cc,6)) + i*(MData(cc,7));  

    Zc = Zc*DataNorm;Zi = Zi*DataNorm;

    k0 = 2.*pi*frequency./c0;  % Wave number
    norm1 = sqrt(8.*pi.*k0.*.76).*exp(-i.*pi./4-i.*k0./c0.*.76)./(k0).^2;  
    
    Zc = Zc*norm1;Zi = Zi*norm1;
   
    is = deg2rad(MData(cc,1));ir = deg2rad(MData(cc,2));  
        
    sfx = (frequency./c0).*(cos(ir) - cos(is));  % Spatial freq in x
    sfy = (frequency./c0).*(sin(ir) - sin(is));  % Spatial freq in y
    
    %****************************************************************
    % This is the section that I am proposing as having the student *
    % do as an exercise.  Starting from this point and ending below *
    %****************************************************************
    
    switch d
    
        case 1
            x1 = [x1; real(sfx)];y1 = [y1; real(sfy)];z1 = [z1; abs(Zc)];
        case 2
            x2 = [x2; real(sfx)];y2 = [y2; real(sfy)];z2 = [z2; abs(Zc)];
        case 3
            x3 = [x3; real(sfx)];y3 = [y3; real(sfy)];z3 = [z3; abs(Zc)];
        case 4
            x4 = [x4; real(sfx)];y4 = [y4; real(sfy)];z4 = [z4; abs(Zc)];
        case 5
            x5 = [x5; real(sfx)];y5 = [y5; real(sfy)];z5 = [z5; abs(Zc)];
        case 6
            x6 = [x6; real(sfx)];y6 = [y6; real(sfy)];z6 = [z6; abs(Zc)];
        case 7
            x7 = [x7; real(sfx)];y7 = [y7; real(sfy)];z7 = [z7; abs(Zc)];
        case 8
            x8 = [x8; real(sfx)];y8 = [y8; real(sfy)];z8 = [z8; abs(Zc)];
        case 9
            x9 = [x9; real(sfx)];y9 = [y9; real(sfy)];z9 = [z9; abs(Zc)];
        case 10
            x10 = [x10; real(sfx)];y10 = [y10; real(sfy)];z10 = [z10; abs(Zc)];
        case 11
            x11 = [x11; real(sfx)];y11 = [y11; real(sfy)];z11 = [z11; abs(Zc)];
        case 12
            x12 = [x12; real(sfx)];y12 = [y12; real(sfy)];z12 = [z12; abs(Zc)];
        case 13
            x13 = [x13; real(sfx)];y13 = [y13; real(sfy)];z13 = [z13; abs(Zc)];
        case 14
            x14 = [x14; real(sfx)];y14 = [y14; real(sfy)];z14 = [z14; abs(Zc)];
        case 15
            x15 = [x15; real(sfx)];y15 = [y15; real(sfy)];z15 = [z15; abs(Zc)];
        case 16
            x16 = [x16; real(sfx)];y16 = [y16; real(sfy)];z16 = [z16; abs(Zc)];
        case 17
            x17 = [x17; real(sfx)];y17 = [y17; real(sfy)];z17 = [z17; abs(Zc)];
        case 18
            x18 = [x18; real(sfx)];y18 = [y18; real(sfy)];z18 = [z18; abs(Zc)];
        case 19
            x19 = [x19; real(sfx)];y19 = [y19; real(sfy)];z19 = [z19; abs(Zc)];
        case 20
            x20 = [x20; real(sfx)];y20 = [y20; real(sfy)];z20 = [z20; abs(Zc)];
        case 21
            x21 = [x21; real(sfx)];y21 = [y21; real(sfy)];z21 = [z21; abs(Zc)];
        case 22
            x22 = [x22; real(sfx)];y22 = [y22; real(sfy)];z22 = [z22; abs(Zc)];
        case 23
            x23 = [x23; real(sfx)];y23 = [y23; real(sfy)];z23 = [z23; abs(Zc)];
        case 24
            x24 = [x24; real(sfx)];y24 = [y24; real(sfy)];z24 = [z24; abs(Zc)];
        case 25
            x25 = [x25; real(sfx)];y25 = [y25; real(sfy)];z25 = [z25; abs(Zc)];
        case 26
            x26 = [x26; real(sfx)];y26 = [y26; real(sfy)];z26 = [z26; abs(Zc)];
        case 27
            x27 = [x27; real(sfx)];y27 = [y27; real(sfy)];z27 = [z27; abs(Zc)];
        case 28
            x28 = [x28; real(sfx)];y28 = [y28; real(sfy)];z28 = [z28; abs(Zc)];
        case 29
            x29 = [x29; real(sfx)];y29 = [y29; real(sfy)];z29 = [z29; abs(Zc)];
        case 30
            x30 = [x30; real(sfx)];y30 = [y30; real(sfy)];z30 = [z30; abs(Zc)];
        case 31
            x31 = [x31; real(sfx)];y31 = [y31; real(sfy)];z31 = [z31; abs(Zc)];
        case 32
            x32 = [x32; real(sfx)];y32 = [y32; real(sfy)];z32 = [z32; abs(Zc)];
        case 33
            x33 = [x33; real(sfx)];y33 = [y33; real(sfy)];z33 = [z33; abs(Zc)];
        case 34
            x34 = [x34; real(sfx)];y34 = [y34; real(sfy)];z34 = [z34; abs(Zc)];
        case 35
            x35 = [x35; real(sfx)];y35 = [y35; real(sfy)];z35 = [z35; abs(Zc)];
        case 36           
            x36 = [x36; real(sfx)];y36 = [y36; real(sfy)];z36 = [z36; abs(Zc)];
        otherwise
            disp('ERROR ... Source count out of range!');break;
    end
            xt = [xt; real(sfx)];yt = [yt; real(sfy)];zt = [zt; abs(Zc)];
    end
    
    switch d
    
        case 1
            %========== Processing for Source 1 ==========
            for fold = 1:1:1
            
            if(showEwald == 1)
            figure('Name', 'Ewald Circle for Source #1');
            scatter3(x1,y1,z1,5,z1,'filled');
            view(0,90);colormap(jet);colorbar;
            end
            end
            
        case 2
            %========== Processing for Source 2 ==========
            for fold = 1:1:1
            
            if(showEwald == 1)
            figure('Name', 'Ewald Circle for Source #2');
            scatter3(x2,y2,z2,5,z2,'filled');
            view(0,90);colormap(jet);colorbar;
            end
            end
   
        case 3
            %========== Processing for Source 3 ==========
            for fold = 1:1:1
            
            if(showEwald == 1)
            figure('Name', 'Ewald Circle for Source #3');
            scatter3(x3,y3,z3,5,z3,'filled');
            view(0,90);colormap(jet);colorbar;
            end
            end
            
        case 4
            %========== Processing for Source 3 ==========
            for fold = 1:1:1
                
            if(showEwald == 1)
            figure('Name', 'Ewald Circle for Source #4');
            scatter3(x4,y4,z4,5,z4,'filled');
            view(0,90);colormap(jet);colorbar;
            end
            end
            
        case 5
            %========== Processing for Source 3 ==========
            for fold = 1:1:1
                
            if(showEwald == 1)
            figure('Name', 'Ewald Circle for Source #5');
            scatter3(x5,y5,z5,5,z5,'filled');
            view(0,90);colormap(jet);colorbar;
            end
            end
            
        case 6
            %========== Processing for Source 3 ==========
            for fold = 1:1:1
            if(showEwald == 1)
            figure('Name', 'Ewald Circle for Source #6');
            scatter3(x6,y6,z6,5,z6,'filled');
            view(0,90);colormap(jet);colorbar;
            end
            end
            
        case 7
            %========== Processing for Source 3 ==========
            for fold = 1:1:1
                
            if(showEwald == 1)
            figure('Name', 'Ewald Circle for Source #7');
            scatter3(x7,y7,z7,5,z7,'filled');
            view(0,90);colormap(jet);colorbar;
            end
            end
            
        case 8
            %========== Processing for Source 3 ==========
            for fold = 1:1:1
                
            if(showEwald == 1)
            figure('Name', 'Ewald Circle for Source #8');
            scatter3(x8,y8,z8,5,z8,'filled');
            view(0,90);colormap(jet);colorbar;
            end
            end
            
        case 9
            %========== Processing for Source 3 ==========
            for fold = 1:1:1
                
            if(showEwald == 1)
            figure('Name', 'Ewald Circle for Source #9');
            scatter3(x9,y9,z9,5,z9,'filled');
            view(0,90);colormap(jet);colorbar;
            end
            end
            
        case 10
            %========== Processing for Source 3 ==========
            for fold = 1:1:1
                
            if(showEwald == 1)
            figure('Name', 'Ewald Circle for Source #10');
            scatter3(x10,y10,z10,5,z10,'filled');
            view(0,90);colormap(jet);colorbar;
            end
            end
            
        case 11
            %========== Processing for Source 3 ==========
            for fold = 1:1:1
                
            if(showEwald == 1)
            figure('Name', 'Ewald Circle for Source #11');
            scatter3(x11,y11,z11,5,z11,'filled');
            view(0,90);colormap(jet);colorbar;
            end
            end
            
        case 12
            %========== Processing for Source 3 ==========
            for fold = 1:1:1
                
            if(showEwald == 1)
            figure('Name', 'Ewald Circle for Source #12');
            scatter3(x12,y12,z12,5,z12,'filled');
            view(0,90);colormap(jet);colorbar;
            end
            end
            
        case 13
            %========== Processing for Source 3 ==========
            for fold = 1:1:1
                
            if(showEwald == 1)
            figure('Name', 'Ewald Circle for Source #13');
            scatter3(x13,y13,z13,5,z13,'filled');
            view(0,90);colormap(jet);colorbar;
            end
            end
            
        case 14
            %========== Processing for Source 3 ==========
            for fold = 1:1:1
                
            if(showEwald == 1)
            figure('Name', 'Ewald Circle for Source #14');
            scatter3(x14,y14,z14,5,z14,'filled');
            view(0,90);colormap(jet);colorbar;
            end
            end
            
        case 15
            %========== Processing for Source 3 ==========
            for fold = 1:1:1
                
            if(showEwald == 1)
            figure('Name', 'Ewald Circle for Source #15');
            scatter3(x15,y15,z15,5,z15,'filled');
            view(0,90);colormap(jet);colorbar;
            end
            end
            
        case 16
            %========== Processing for Source 3 ==========
            for fold = 1:1:1
            if(showEwald == 1)
            figure('Name', 'Ewald Circle for Source #16');
            scatter3(x16,y16,z16,5,z16,'filled');
            view(0,90);colormap(jet);colorbar;
            end
            end
            
        case 17
            %========== Processing for Source 3 ==========
            for fold = 1:1:1
                
            if(showEwald == 1)
            figure('Name', 'Ewald Circle for Source #17');
            scatter3(x17,y17,z17,5,z17,'filled');
            view(0,90);colormap(jet);colorbar;
            end
            end
            
        case 18
            %========== Processing for Source 3 ==========
            for fold = 1:1:1
                
            if(showEwald == 1)
            figure('Name', 'Ewald Circle for Source #18');
            scatter3(x18,y18,z18,5,z18,'filled');
            view(0,90);colormap(jet);colorbar;
            end
            end
            
        case 19
            %========== Processing for Source 3 ==========
            for fold = 1:1:1
                
            if(showEwald == 1)
            figure('Name', 'Ewald Circle for Source #19');
            scatter3(x19,y19,z19,5,z19,'filled');
            view(0,90);colormap(jet);colorbar;
            end
            end
            
        case 20
            %========== Processing for Source 3 ==========
            for fold = 1:1:1
                
            if(showEwald == 1)
            figure('Name', 'Ewald Circle for Source #20');
            scatter3(x20,y20,z20,5,z20,'filled');
            view(0,90);colormap(jet);colorbar;
            end
            end
            
        case 21
            %========== Processing for Source 3 ==========
            for fold = 1:1:1
                
            if(showEwald == 1)
            figure('Name', 'Ewald Circle for Source #21');
            scatter3(x21,y21,z21,5,z21,'filled');
            view(0,90);colormap(jet);colorbar;
            end
            end
            
        case 22
            %========== Processing for Source 3 ==========
            for fold = 1:1:1
                
            if(showEwald == 1)
            figure('Name', 'Ewald Circle for Source #22');
            scatter3(x22,y22,z22,5,z22,'filled');
            view(0,90);colormap(jet);colorbar;
            end
            end
            
        case 23
            %========== Processing for Source 3 ==========
            for fold = 1:1:1
                
            if(showEwald == 1)
            figure('Name', 'Ewald Circle for Source #23');
            scatter3(x23,y23,z23,5,z23,'filled');
            view(0,90);colormap(jet);colorbar;
            end
            end
            
        case 24
            %========== Processing for Source 3 ==========
            for fold = 1:1:1
                
            if(showEwald == 1)
            figure('Name', 'Ewald Circle for Source #24');
            scatter3(x24,y24,z24,5,z24,'filled');
            view(0,90);colormap(jet);colorbar;
            end
            end
            
        case 25
            %========== Processing for Source 3 ==========
            for fold = 1:1:1
                
            if(showEwald == 1)
            figure('Name', 'Ewald Circle for Source #25');
            scatter3(x25,y25,z25,5,z25,'filled');
            view(0,90);colormap(jet);colorbar;
            end
            end
            
        case 26
            %========== Processing for Source 3 ==========
            for fold = 1:1:1
                
            if(showEwald == 1)
            figure('Name', 'Ewald Circle for Source #26');
            scatter3(x26,y26,z26,5,z26,'filled');
            view(0,90);colormap(jet);colorbar;
            end
            end
            
        case 27
            %========== Processing for Source 3 ==========
            for fold = 1:1:1
                
            if(showEwald == 1)
            figure('Name', 'Ewald Circle for Source #27');
            scatter3(x27,y27,z27,5,z27,'filled');
            view(0,90);colormap(jet);colorbar;
            end
            end
            
        case 28
            %========== Processing for Source 3 ==========
            for fold = 1:1:1
                
            if(showEwald == 1)
            figure('Name', 'Ewald Circle for Source #28');
            scatter3(x28,y28,z28,5,z28,'filled');
            view(0,90);colormap(jet);colorbar;
            end
            end
            
        case 29
            %========== Processing for Source 3 ==========
            for fold = 1:1:1
                
            if(showEwald == 1)
            figure('Name', 'Ewald Circle for Source #29');
            scatter3(x29,y29,z29,5,z29,'filled');
            view(0,90);colormap(jet);colorbar;
            end
            end
            
        case 30
            %========== Processing for Source 3 ==========
            for fold = 1:1:1
                
            if(showEwald == 1)
            figure('Name', 'Ewald Circle for Source #30');
            scatter3(x30,y30,z30,5,z30,'filled');
            view(0,90);colormap(jet);colorbar;
            end
            end
            
        case 31
            %========== Processing for Source 31 ==========
            for fold = 1:1:1
                
            if(showEwald == 1)
            figure('Name', 'Ewald Circle for Source #31');
            scatter3(x31,y31,z31,5,z31,'filled');
            view(0,90);colormap(jet);colorbar;
            end
            end
            
        case 32
            %========== Processing for Source 32 ==========
            for fold = 1:1:1
                
            if(showEwald == 1)
            figure('Name', 'Ewald Circle for Source #32');
            scatter3(x32,y32,z32,5,z32,'filled');
            view(0,90);colormap(jet);colorbar;
            end
            end
            
        case 33
            %========== Processing for Source 33 ==========
            for fold = 1:1:1
                
            if(showEwald == 1)
            figure('Name', 'Ewald Circle for Source #33');
            scatter3(x33,y33,z33,5,z33,'filled');
            view(0,90);colormap(jet);colorbar;
            end
            end
            
        case 34
            %========== Processing for Source 34 ==========
            for fold = 1:1:1
                
            if(showEwald == 1)
            figure('Name', 'Ewald Circle for Source #34');
            scatter3(x34,y34,z34,5,z34,'filled');
            view(0,90);colormap(jet);colorbar;
            end
            end
            
        case 35
            %========== Processing for Source 35 ==========
            for fold = 1:1:1
                
            if(showEwald == 1)
            figure('Name', 'Ewald Circle for Source #35');
            scatter3(x35,y35,z35,5,z35,'filled');
            view(0,90);colormap(jet);colorbar;
            end
            end
            
        case 36
            %========== Processing for Source 36 ==========
            for fold = 1:1:1
                
            if(showEwald == 1)
            figure('Name', 'Ewald Circle for Source #36');
            scatter3(x36,y36,z36,5,z36,'filled');
            view(0,90);colormap(jet);colorbar;
            end
            end

    end
    
    %****************************************************************
    % This is where I propose ending the section that the student   *
    % would be responsible for                                      *
    %****************************************************************
end

            figure('Name', 'Combined Circles');
            scatter3(xt,yt,zt,5,zt,'filled');
            view(0,90);colormap(jet);colorbar;
            fprintf('\n\n');
            
    