% RunPDFT.m - Matlab script to run PDFT reconstruction 
%
% (c) Markus Testorf, Vers. 1.0, Nov. 2, 2000

i = sqrt(-1.0);
c0 = 3e8;

% IMP: WHATEVER FREQUENCY YOU SPECIFY HERE YOU ACTUALLY GET THAT FREQ MINUS ONE 
% e.g. Data2 = extractData('B','TM', 0, 0, 6) will give us data for 5Ghz

Data2 = extractData('A','TM', 0, 0, 5);

Data = Data2;
%Data(:,3) = Data1(:,3) - Data2(:,3);
% A represents Foaminternal currently      B is foam dielectric external   
% C is form twin dielectric   D is foam metal external
%  "5"  means 6GHz!

Nx = 256;
Ny = 256;

Im = zeros(Nx,Ny);
IP =   [Nx Ny; 0.15/Nx 0.15/Ny; 0 0];

prior = [101 1 0.25 0.25 0 0];

%-------------------------------------------

% 
% % For Square or rectangular window
% % prior = [Rect 1 YWidth XWidth YPos 0];
% % prior = [101 1 0.25 0.25 0 0
% % 101 tells that it is rectangular
% % YPos: + moves down, -ve moves up
% % YWidth: Y Full width of window
% % XWidth: X Full width of window
% 
% 
% % For circler window
% % prior = [Circle DontKNowCantBeZero Rdx YPos XPos UnUsed];
% % prior = [102 1 0.0582 0 0 0];
% % 102 defines a circle
% % .05 is the radius of circle
% % Ypos: defines Y position of circle. 0 is the origin

% % UNCOMMENT FOR PDFT
%[Im, P, Ia] = pdft2D(Data, IP, prior, 1.1, 'matlab', 'show');
%---------------------------------------------




Im = idft2D(Data, IP, 'matlab', 'show');

[a b] = showImage(abs(Im),IP)



% SAVES DATA IN MAT FILE SO THAT WE COULD LODE IT FROM OUR CODE
% e.g save FileName.mat Im;
save FoamDielInt5Ghz.mat Im;