function C = cos2D (x, y, pr)
% function C = cos2D (x, y, pr)
%
% returns function values of cos(pi*x/pr(1)).*cos(pi.*y/pr(2));
% for use with PDFT2D algorithm;
%
% x and y must be scalar;
%
% (c) Markus Testorf, Vers. 1.1, March 03, 2004
%

% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 2 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.



if x<-pr(1)./2+pr(3) | x>pr(1)./2+pr(3) | y<-pr(2)./2+pr(4) | y>pr(2)./2+pr(4)
   C = 0.0;
else
   % C = 1.0;
   C = cos(pi*(x-pr(3))/pr(1)).*cos(pi.*(y-pr(4))/pr(2));
end

   
