function FTC = ftcos2D (nu, mu, pr)
% function FTC = function ftcos2D (nu, mu, pr)
%
% returns function values of analytic Fourier transform
% of rect(x/pr[1,1])*rect(y/pr[1,2])*cos(pi*x/pr(1)).*cos(pi.*y/pr(2));
%
% for use with PDFT2D algorithm;
%
% at present nu and mu must be scalar;
%
% (c) Markus Testorf, Vers. 2.2, Feb. 10, 2000
%

% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 2 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

FTC = pr(1).*pr(2).*(sinc(pr(1).*(nu-pr(1))).*sinc(pr(2).*mu)+sinc(pr(1).*(nu+pr(1))).*sinc(pr(2).*mu)+sinc(pr(1).*nu)... 
    .*sinc(pr(2).*(mu-pr(2)))+sinc(pr(1).*nu).*sinc(pr(2).*(mu+pr(2)))).*exp(-i.*2.*pi.*(nu.*pr(3)+mu.*pr(4)))./4;


   
