function FTC = ftRect2D (In, pr)
% function FTC = function ftbox2D (nu, mu, pr)
%
% returns function values of analytic Fourier transform
% of rect((x-pr(3))/pr(1))*rect((y-pr(4))/pr(2));
% for use with PDFT2D algorithm;
% at present nu and mu must be scalar;
%
% (c) Markus Testorf, Vers. 5.0, Sept. 17, 2001
%

% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 2 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

%FTC = pr(1).*pr(2).*sinc(pr(1).*nu).*sinc(pr(2).*mu).*exp(-i.*2.*pi.*(nu.*pr(3)+mu.*pr(4)));
%FTC = pr(1)*pr(2).*(sin(3.14*pr(1).*nu)./(3.14*pr(1).*nu)).*(sin(3.14*pr(2).*mu)./(3.14*pr(1).*nu));

nu = In(:,1);
mu = In(:,2);


Ne=length(nu(:,1));
FTC = zeros(Ne,Ne);
%FTCI = [];
i=sqrt(-1.0);

statuspt = Ne/10;percentdone = 0;
count = 0;

for cc = 1:Ne
    
    count = count+1;
                if(count >= statuspt)
                    fprintf('.');
                    count = 0;
                    percentdone = percentdone+1;
                    if(percentdone == 2)
                        fprintf('25%%')
                    end
                    if(percentdone == 5)
                        fprintf('50%%');
                    end
                    if(percentdone == 7)
                        fprintf('.75%%')
                    end
                end
    
    for rr = 1:Ne
        

    
        if pr(1)*(nu(rr)-nu(cc))==0 && pr(2)*(mu(rr)-mu(cc))==0
            %FTC(nnu,mmu)=1;
            %FTCI = [FTCI; pr(1)*pr(2)*exp(-i*2*pi*(nu(pt)*pr(3)+mu(pt)*pr(4)))];
            FTC(rr,cc) = pr(1)*pr(2)*exp(-i*2*pi*((nu(rr)-nu(cc))*pr(3)+(mu(rr)-mu(cc))*pr(4)));
        elseif pr(1)*(nu(rr)-nu(cc))==0
            %FTCI = [FTCI; pr(1)*pr(2)*(sin(pi*pr(2)*mu(pt))/(pi*pr(2)*mu(pt)))*exp(-i*2*pi*(nu(pt)*pr(3)+mu(pt)*pr(4)))]; 
            FTC(rr,cc) = pr(1)*pr(2)*(sin(pi*pr(2)*(mu(rr)-mu(cc)))/(pi*pr(2)*(mu(rr)-mu(cc))))*exp(-i*2*pi*((nu(rr)-nu(cc))*pr(3)+(mu(rr)-mu(cc))*pr(4)));
        elseif pr(2)*(mu(rr)-mu(cc))==0
            %FTCI = [FTCI; pr(1)*pr(2)*(sin(pi*pr(1)*nu(pt))/(pi*pr(1)*nu(pt)))*exp(-i*2*pi*(nu(pt)*pr(3)+mu(pt)*pr(4)))];
            FTC(rr,cc) = pr(1)*pr(2)*(sin(pi*pr(1)*(nu(rr)-nu(cc)))/(pi*pr(1)*(nu(rr)-nu(cc))))*exp(-i*2*pi*((nu(rr)-nu(cc))*pr(3)+(mu(rr)-mu(cc))*pr(4)));
        else
            %FTCI = [FTCI; pr(1)*pr(2)*(sin(pi*pr(1)*nu(pt))/(pi*pr(1)*nu(pt)))*(sin(pi*pr(2)*mu(pt))/(pi*pr(2)*mu(pt)))*exp(-i*2*pi*(nu(pt)*pr(3)+mu(pt)*pr(4)))];
            FTC(rr,cc) = pr(1)*pr(2)*(sin(pi*pr(1)*(nu(rr)-nu(cc)))/(pi*pr(1)*(nu(rr)-nu(cc))))*(sin(pi*pr(2)*(mu(rr)-mu(cc)))/(pi*pr(2)*(mu(rr)-mu(cc))))*exp(-i*2*pi*((nu(rr)-nu(cc))*pr(3)+(mu(rr)-mu(cc))*pr(4)));
        end
    end
end
fprintf('.. Done\n');


   
